LASTLOG(8)

NOME
lastlog - riepiloga gli accessi più recenti di tutti gli utenti o dell'utente dato

SINOSSI

lastlog [opzioni]

DESCRIZIONE

lastlog formats and prints the contents of the last login log /var/log/lastlog file. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed, sorted by their order in /etc/passwd.

OPZIONI

The options which apply to the lastlog command are:

-b, --before DAYS
    Print only lastlog records older than DAYS.

-C, --clear
    Clear lastlog record of a user. This option can be used only together with -u (--user)).

-h, --help
    Mostra un messaggio di aiuto ed esce.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-S, --set
    Set lastlog record of a user to the current time. This option can be used only together with -u (--user)).

-t, --time DAYS
    Print the lastlog records more recent than DAYS.

-u, --user LOGIN|RANGE
    Mostra il record di ultimo accesso per l'utente o gli utenti specificati da LOGIN.

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

If the user has never logged in the message ** Never logged in** will be displayed instead of the port and time.

Solo le registrazioni degli utenti correnti del sistema verranno mostrate. Ci potrebbero essere altre registrazioni per utenti cancellati in precedenza.

NOTA

The lastlog file is a database which contains info on the last login of each user. You should not rotate it. It is a sparse file, so its size on the disk is usually much smaller than the one shown by "ls -l" (which can indicate a really big file if you have in passwd users with a high UID). You can display its real size with "ls -s".

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

LASTLOG_UID_MAX (number)
    Highest user ID number for which the lastlog entries should be updated. As higher user IDs are usually tracked by remote user identity and authentication services there is no need to create a huge sparse lastlog file for them.

    No LASTLOG_UID_MAX option present in the configuration means that there is no user ID limit for writing lastlog entries.

FILE

/var/log/lastlog
    Database degli orari dei precedenti accessi utente.

AVVISI/CAVEAT

Se ci sono dei grossi scarti tra i valori di UID, il programma lastlog può restare in esecuzione per un tempo prolungato senza produrre output sullo schermo (ad es. se nel database lastlog non ci sono registrazioni per UID tra 170 e 800, il programma sembrerà bloccato mentre esamina gli UID tra 171 e 799).